function [Cond_Set, Active_Set, Active_Set_Orig, Names_Active]...
    = ACTIVE_SEL(output, h1, model)

if strcmp(model, 'LASSO')

    % Conditioning Sets used in LASSO
    Cond_Set = [];

    % Active Sets used in LASSO
    % (1) DPUK4, (2) DDPUK4, (3) DYUK4, (4) DDYUK4, (5) GAPUK8,
    % (6) DGAPUK8, (7) GAPUK12, (8) DGAPUK12, (9) DEMUK4, (10) DDEMUK4,
    % (11) DVUK4, (12) DDVUK4, (13) DUUK, (14) DDUUK, (15) DDWUK4,
    % (16) RUK4, (17) DRUK4, (18) LRUK4, (19) DLRUK4, (20) DMUK4,
    % (21) DDMUK4, (22) DEQUK4, (23) DDEQUK4, (24) DPOIL4, (25) DDPOIL4,
    % (26) DPMAT4, (27) DDPMAT4, (28) DPMETAL4, (29) DDPMETAL4, (30) DPMUK4,
    % (31) DDPMUK4, (32) DEPUK4, (33) DDEPUK4, (34) DPSUK4, (35) DDPSUK4,
    % (36) DYSUK4, (37) DDYSUK4, (38) RUS4, 
    % (39) DRUS4, (40) LRUS4, 
    % (41) DLRUS4, (42) DYCHINA4, (43) DDYCHINA4, (44) GAPSUK8, (45) DGAPSUK8,
    % (46) GAPSUK12, (47) DGAPSUK12, (48) DYUS4, (49) DDYUS4, (50) DPUS4,
    % (51) DDPUS4, (52) DWUK4

    Active_Set = [
        eval(['output.DPUK4_lag' num2str(h1)]), eval(['output.DDPUK4_lag' num2str(h1)]),...
        eval(['output.DYUK4_lag' num2str(h1)]), eval(['output.DDYUK4_lag' num2str(h1)]),...
        eval(['output.GAPUK8_lag' num2str(h1)]), eval(['output.DGAPUK8_lag' num2str(h1)]),...
        eval(['output.GAPUK12_lag' num2str(h1)]), eval(['output.DGAPUK12_lag' num2str(h1)]),...
        eval(['output.DEMUK4_lag' num2str(h1)]), eval(['output.DDEMUK4_lag' num2str(h1)]),...
        eval(['output.DVUK4_lag' num2str(h1)]), eval(['output.DDVUK4_lag' num2str(h1)]),...
        eval(['output.DUUK_lag' num2str(h1)]), eval(['output.DDUUK_lag' num2str(h1)]),...
        eval(['output.DDWUK4_lag' num2str(h1)]), eval(['output.RUK4_lag' num2str(h1)]),...
        eval(['output.DRUK4_lag' num2str(h1)]), eval(['output.LRUK4_lag' num2str(h1)]),...
        eval(['output.DLRUK4_lag' num2str(h1)]), eval(['output.DMUK4_lag' num2str(h1)]),...
        eval(['output.DDMUK4_lag' num2str(h1)]), eval(['output.DEQUK4_lag' num2str(h1)]),...
        eval(['output.DDEQUK4_lag' num2str(h1)]), eval(['output.DPOIL4_lag' num2str(h1)]),...
        eval(['output.DDPOIL4_lag' num2str(h1)]), eval(['output.DPMAT4_lag' num2str(h1)]),...
        eval(['output.DDPMAT4_lag' num2str(h1)]), eval(['output.DPMETAL4_lag' num2str(h1)]),...
        eval(['output.DDPMETAL4_lag' num2str(h1)]), eval(['output.DPMUK4_lag' num2str(h1)]),...
        eval(['output.DDPMUK4_lag' num2str(h1)]), eval(['output.DEPUK4_lag' num2str(h1)]),...
        eval(['output.DDEPUK4_lag' num2str(h1)]), eval(['output.DPSUK4_lag' num2str(h1)]),...
        eval(['output.DDPSUK4_lag' num2str(h1)]), eval(['output.DYSUK4_lag' num2str(h1)]),...
        eval(['output.DDYSUK4_lag' num2str(h1)]), eval(['output.RUS4_lag' num2str(h1)]),...
        eval(['output.DRUS4_lag' num2str(h1)]), eval(['output.LRUS4_lag' num2str(h1)]),...
        eval(['output.DLRUS4_lag' num2str(h1)]), eval(['output.DYCHINA4_lag' num2str(h1)]),...
        eval(['output.DDYCHINA4_lag' num2str(h1)]), eval(['output.GAPSUK8_lag' num2str(h1)]),...
        eval(['output.DGAPSUK8_lag' num2str(h1)]), eval(['output.GAPSUK12_lag' num2str(h1)]),...
        eval(['output.DGAPSUK12_lag' num2str(h1)]), eval(['output.DYUS4_lag' num2str(h1)]),...
        eval(['output.DDYUS4_lag' num2str(h1)]), eval(['output.DPUS4_lag' num2str(h1)]),...
        eval(['output.DDPUS4_lag' num2str(h1)]), eval(['output.DWUK4_lag' num2str(h1)])
        ];

    % Active Sets not lagged
    Active_Set_Orig = [
        eval('output.DPUK4'), eval('output.DDPUK4'),...
        eval('output.DYUK4'), eval('output.DDYUK4'),...
        eval('output.GAPUK8'), eval('output.DGAPUK8'),...
        eval('output.GAPUK12'), eval('output.DGAPUK12'),...
        eval('output.DEMUK4'), eval('output.DDEMUK4'),...
        eval('output.DVUK4'), eval('output.DDVUK4'),...
        eval('output.DUUK'), eval('output.DDUUK'),...
        eval('output.DDWUK4'), eval('output.RUK4'),...
        eval('output.DRUK4'), eval('output.LRUK4'),...
        eval('output.DLRUK4'), eval('output.DMUK4'),...
        eval('output.DDMUK4'), eval('output.DEQUK4'),...
        eval('output.DDEQUK4'), eval('output.DPOIL4'),...
        eval('output.DDPOIL4'), eval('output.DPMAT4'),...
        eval('output.DDPMAT4'), eval('output.DPMETAL4'),...
        eval('output.DDPMETAL4'), eval('output.DPMUK4'),...
        eval('output.DDPMUK4'), eval('output.DEPUK4'),...
        eval('output.DDEPUK4'), eval('output.DPSUK4'),...
        eval('output.DDPSUK4'), eval('output.DYSUK4'),...
        eval('output.DDYSUK4'), eval('output.RUS4'),...
        eval('output.DRUS4'), eval('output.LRUS4'),...
        eval('output.DLRUS4'), eval('output.DYCHINA4'),...
        eval('output.DDYCHINA4'), eval('output.GAPSUK8'),...
        eval('output.DGAPSUK8'), eval('output.GAPSUK12'),...
        eval('output.DGAPSUK12'), eval('output.DYUS4'),...
        eval('output.DDYUS4'), eval('output.DPUS4'),...
        eval('output.DDPUS4'), eval('output.DWUK4')
        ];
    
    % Names of the Variables in Conditioning and Active Sets used in LASSO
    Names_Active = {
        ['DPUK4_lag' num2str(h1)], ['DDPUK4_lag' num2str(h1)],...
        ['DYUK4_lag' num2str(h1)], ['DDYUK4_lag' num2str(h1)],...
        ['GAPUK8_lag' num2str(h1)], ['DGAPUK8_lag' num2str(h1)],...
        ['GAPUK12_lag' num2str(h1)], ['DGAPUK12_lag' num2str(h1)],...
        ['DEMUK4_lag' num2str(h1)], ['DDEMUK4_lag' num2str(h1)],...
        ['DVUK4_lag' num2str(h1)], ['DDVUK4_lag' num2str(h1)],...
        ['DUUK_lag' num2str(h1)], ['DDUUK_lag' num2str(h1)],...
        ['DDWUK4_lag' num2str(h1)], ['RUK4_lag' num2str(h1)],...
        ['DRUK4_lag' num2str(h1)], ['LRUK4_lag' num2str(h1)],...
        ['DLRUK4_lag' num2str(h1)], ['DMUK4_lag' num2str(h1)],...
        ['DDMUK4_lag' num2str(h1)], ['DEQUK4_lag' num2str(h1)],...
        ['DDEQUK4_lag' num2str(h1)], ['DPOIL4_lag' num2str(h1)],...
        ['DDPOIL4_lag' num2str(h1)], ['DPMAT4_lag' num2str(h1)],...
        ['DDPMAT4_lag' num2str(h1)], ['DPMETAL4_lag' num2str(h1)],...
        ['DDPMETAL4_lag' num2str(h1)], ['DPMUK4_lag' num2str(h1)],...
        ['DDPMUK4_lag' num2str(h1)], ['DEPUK4_lag' num2str(h1)],...
        ['DDEPUK4_lag' num2str(h1)], ['DPSUK4_lag' num2str(h1)],...
        ['DDPSUK4_lag' num2str(h1)], ['DYSUK4_lag' num2str(h1)],...
        ['DDYSUK4_lag' num2str(h1)], ['RUS4_lag' num2str(h1)],...
        ['DRUS4_lag' num2str(h1)], ['LRUS4_lag' num2str(h1)],...
        ['DLRUS4_lag' num2str(h1)], ['DYCHINA4_lag' num2str(h1)],...
        ['DDYCHINA4_lag' num2str(h1)], ['GAPSUK8_lag' num2str(h1)],...
        ['DGAPSUK8_lag' num2str(h1)], ['GAPSUK12_lag' num2str(h1)],...
        ['DGAPSUK12_lag' num2str(h1)], ['DYUS4_lag' num2str(h1)],...
        ['DDYUS4_lag' num2str(h1)], ['DPUS4_lag' num2str(h1)],...
        ['DDPUS4_lag' num2str(h1)], ['DWUK4_lag' num2str(h1)]
        };

    %disp('Completed: LASSO-related variables are generated.')

elseif strcmp(model, 'AR2-LASSO')
    
    % Conditioning Sets used in AR2-LASSO
    Cond_Set = [
        eval(['output.DPUK4_lag' num2str(h1)]), eval(['output.DDPUK4_lag' num2str(h1)])
        ];

    % Active Sets used in AR2-LASSO
    Active_Set = [
        eval(['output.DYUK4_lag' num2str(h1)]), eval(['output.DDYUK4_lag' num2str(h1)]),...
        eval(['output.GAPUK8_lag' num2str(h1)]), eval(['output.DGAPUK8_lag' num2str(h1)]),...
        eval(['output.GAPUK12_lag' num2str(h1)]), eval(['output.DGAPUK12_lag' num2str(h1)]),...
        eval(['output.DEMUK4_lag' num2str(h1)]), eval(['output.DDEMUK4_lag' num2str(h1)]),...
        eval(['output.DVUK4_lag' num2str(h1)]), eval(['output.DDVUK4_lag' num2str(h1)]),...
        eval(['output.DUUK_lag' num2str(h1)]), eval(['output.DDUUK_lag' num2str(h1)]),...
        eval(['output.DDWUK4_lag' num2str(h1)]), eval(['output.RUK4_lag' num2str(h1)]),...
        eval(['output.DRUK4_lag' num2str(h1)]), eval(['output.LRUK4_lag' num2str(h1)]),...
        eval(['output.DLRUK4_lag' num2str(h1)]), eval(['output.DMUK4_lag' num2str(h1)]),...
        eval(['output.DDMUK4_lag' num2str(h1)]), eval(['output.DEQUK4_lag' num2str(h1)]),...
        eval(['output.DDEQUK4_lag' num2str(h1)]), eval(['output.DPOIL4_lag' num2str(h1)]),...
        eval(['output.DDPOIL4_lag' num2str(h1)]), eval(['output.DPMAT4_lag' num2str(h1)]),...
        eval(['output.DDPMAT4_lag' num2str(h1)]), eval(['output.DPMETAL4_lag' num2str(h1)]),...
        eval(['output.DDPMETAL4_lag' num2str(h1)]), eval(['output.DPMUK4_lag' num2str(h1)]),...
        eval(['output.DDPMUK4_lag' num2str(h1)]), eval(['output.DEPUK4_lag' num2str(h1)]),...
        eval(['output.DDEPUK4_lag' num2str(h1)]), eval(['output.DPSUK4_lag' num2str(h1)]),...
        eval(['output.DDPSUK4_lag' num2str(h1)]), eval(['output.DYSUK4_lag' num2str(h1)]),...
        eval(['output.DDYSUK4_lag' num2str(h1)]), eval(['output.RUS4_lag' num2str(h1)]),...
        eval(['output.DRUS4_lag' num2str(h1)]), eval(['output.LRUS4_lag' num2str(h1)]),...
        eval(['output.DLRUS4_lag' num2str(h1)]), eval(['output.DYCHINA4_lag' num2str(h1)]),...
        eval(['output.DDYCHINA4_lag' num2str(h1)]), eval(['output.GAPSUK8_lag' num2str(h1)]),...
        eval(['output.DGAPSUK8_lag' num2str(h1)]), eval(['output.GAPSUK12_lag' num2str(h1)]),...
        eval(['output.DGAPSUK12_lag' num2str(h1)]), eval(['output.DYUS4_lag' num2str(h1)]),...
        eval(['output.DDYUS4_lag' num2str(h1)]), eval(['output.DPUS4_lag' num2str(h1)]),...
        eval(['output.DDPUS4_lag' num2str(h1)]), eval(['output.DWUK4_lag' num2str(h1)])
        ];

    % Active Sets not lagged
    Active_Set_Orig = [
        eval('output.DYUK4'), eval('output.DDYUK4'),...
        eval('output.GAPUK8'), eval('output.DGAPUK8'),...
        eval('output.GAPUK12'), eval('output.DGAPUK12'),...
        eval('output.DEMUK4'), eval('output.DDEMUK4'),...
        eval('output.DVUK4'), eval('output.DDVUK4'),...
        eval('output.DUUK'), eval('output.DDUUK'),...
        eval('output.DDWUK4'), eval('output.RUK4'),...
        eval('output.DRUK4'), eval('output.LRUK4'),...
        eval('output.DLRUK4'), eval('output.DMUK4'),...
        eval('output.DDMUK4'), eval('output.DEQUK4'),...
        eval('output.DDEQUK4'), eval('output.DPOIL4'),...
        eval('output.DDPOIL4'), eval('output.DPMAT4'),...
        eval('output.DDPMAT4'), eval('output.DPMETAL4'),...
        eval('output.DDPMETAL4'), eval('output.DPMUK4'),...
        eval('output.DDPMUK4'), eval('output.DEPUK4'),...
        eval('output.DDEPUK4'), eval('output.DPSUK4'),...
        eval('output.DDPSUK4'), eval('output.DYSUK4'),...
        eval('output.DDYSUK4'), eval('output.RUS4'),...
        eval('output.DRUS4'), eval('output.LRUS4'),...
        eval('output.DLRUS4'), eval('output.DYCHINA4'),...
        eval('output.DDYCHINA4'), eval('output.GAPSUK8'),...
        eval('output.DGAPSUK8'), eval('output.GAPSUK12'),...
        eval('output.DGAPSUK12'), eval('output.DYUS4'),...
        eval('output.DDYUS4'), eval('output.DPUS4'),...
        eval('output.DDPUS4'), eval('output.DWUK4')
        ];

    % Names of the Variables in Active Sets used in AR2-LASSO
    Names_Active = {
        ['DYUK4_lag' num2str(h1)], ['DDYUK4_lag' num2str(h1)],...
        ['GAPUK8_lag' num2str(h1)], ['DGAPUK8_lag' num2str(h1)],...
        ['GAPUK12_lag' num2str(h1)], ['DGAPUK12_lag' num2str(h1)],...
        ['DEMUK4_lag' num2str(h1)], ['DDEMUK4_lag' num2str(h1)],...
        ['DVUK4_lag' num2str(h1)], ['DDVUK4_lag' num2str(h1)],...
        ['DUUK_lag' num2str(h1)], ['DDUUK_lag' num2str(h1)],...
        ['DDWUK4_lag' num2str(h1)], ['RUK4_lag' num2str(h1)],...
        ['DRUK4_lag' num2str(h1)], ['LRUK4_lag' num2str(h1)],...
        ['DLRUK4_lag' num2str(h1)], ['DMUK4_lag' num2str(h1)],...
        ['DDMUK4_lag' num2str(h1)], ['DEQUK4_lag' num2str(h1)],...
        ['DDEQUK4_lag' num2str(h1)], ['DPOIL4_lag' num2str(h1)],...
        ['DDPOIL4_lag' num2str(h1)], ['DPMAT4_lag' num2str(h1)],...
        ['DDPMAT4_lag' num2str(h1)], ['DPMETAL4_lag' num2str(h1)],...
        ['DDPMETAL4_lag' num2str(h1)], ['DPMUK4_lag' num2str(h1)],...
        ['DDPMUK4_lag' num2str(h1)], ['DEPUK4_lag' num2str(h1)],...
        ['DDEPUK4_lag' num2str(h1)], ['DPSUK4_lag' num2str(h1)],...
        ['DDPSUK4_lag' num2str(h1)], ['DYSUK4_lag' num2str(h1)],...
        ['DDYSUK4_lag' num2str(h1)], ['RUS4_lag' num2str(h1)],...
        ['DRUS4_lag' num2str(h1)], ['LRUS4_lag' num2str(h1)],...
        ['DLRUS4_lag' num2str(h1)], ['DYCHINA4_lag' num2str(h1)],...
        ['DDYCHINA4_lag' num2str(h1)], ['GAPSUK8_lag' num2str(h1)],...
        ['DGAPSUK8_lag' num2str(h1)], ['GAPSUK12_lag' num2str(h1)],...
        ['DGAPSUK12_lag' num2str(h1)], ['DYUS4_lag' num2str(h1)],...
        ['DDYUS4_lag' num2str(h1)], ['DPUS4_lag' num2str(h1)],...
        ['DDPUS4_lag' num2str(h1)], ['DWUK4_lag' num2str(h1)]
        };
    
    %disp('Completed: AR2-LASSO-related variables are generated.')

elseif strcmp(model, 'ARX-LASSO')
    
    % Conditioning Sets used in ARX-LASSO 
    Cond_Set = [
        eval(['output.DPUK4_lag' num2str(h1)]), eval(['output.DDPUK4_lag' num2str(h1)]),...
        eval(['output.DPSUK4_lag' num2str(h1)]), eval(['output.DDPSUK4_lag' num2str(h1)])
        ];

    % Active Sets used in ARX-LASSO
    Active_Set = [
        eval(['output.DYUK4_lag' num2str(h1)]), eval(['output.DDYUK4_lag' num2str(h1)]),...
        eval(['output.GAPUK8_lag' num2str(h1)]), eval(['output.DGAPUK8_lag' num2str(h1)]),...
        eval(['output.GAPUK12_lag' num2str(h1)]), eval(['output.DGAPUK12_lag' num2str(h1)]),...
        eval(['output.DEMUK4_lag' num2str(h1)]), eval(['output.DDEMUK4_lag' num2str(h1)]),...
        eval(['output.DVUK4_lag' num2str(h1)]), eval(['output.DDVUK4_lag' num2str(h1)]),...
        eval(['output.DUUK_lag' num2str(h1)]), eval(['output.DDUUK_lag' num2str(h1)]),...
        eval(['output.DDWUK4_lag' num2str(h1)]), eval(['output.RUK4_lag' num2str(h1)]),...
        eval(['output.DRUK4_lag' num2str(h1)]), eval(['output.LRUK4_lag' num2str(h1)]),...
        eval(['output.DLRUK4_lag' num2str(h1)]), eval(['output.DMUK4_lag' num2str(h1)]),...
        eval(['output.DDMUK4_lag' num2str(h1)]), eval(['output.DEQUK4_lag' num2str(h1)]),...
        eval(['output.DDEQUK4_lag' num2str(h1)]), eval(['output.DPOIL4_lag' num2str(h1)]),...
        eval(['output.DDPOIL4_lag' num2str(h1)]), eval(['output.DPMAT4_lag' num2str(h1)]),...
        eval(['output.DDPMAT4_lag' num2str(h1)]), eval(['output.DPMETAL4_lag' num2str(h1)]),...
        eval(['output.DDPMETAL4_lag' num2str(h1)]), eval(['output.DPMUK4_lag' num2str(h1)]),...
        eval(['output.DDPMUK4_lag' num2str(h1)]), eval(['output.DEPUK4_lag' num2str(h1)]),...
        eval(['output.DDEPUK4_lag' num2str(h1)]), eval(['output.DYSUK4_lag' num2str(h1)]),...
        eval(['output.DDYSUK4_lag' num2str(h1)]), eval(['output.RUS4_lag' num2str(h1)]),...
        eval(['output.DRUS4_lag' num2str(h1)]), eval(['output.LRUS4_lag' num2str(h1)]),...
        eval(['output.DLRUS4_lag' num2str(h1)]), eval(['output.DYCHINA4_lag' num2str(h1)]),...
        eval(['output.DDYCHINA4_lag' num2str(h1)]), eval(['output.GAPSUK8_lag' num2str(h1)]),...
        eval(['output.DGAPSUK8_lag' num2str(h1)]), eval(['output.GAPSUK12_lag' num2str(h1)]),...
        eval(['output.DGAPSUK12_lag' num2str(h1)]), eval(['output.DYUS4_lag' num2str(h1)]),...
        eval(['output.DDYUS4_lag' num2str(h1)]), eval(['output.DPUS4_lag' num2str(h1)]),...
        eval(['output.DDPUS4_lag' num2str(h1)]), eval(['output.DWUK4_lag' num2str(h1)])
        ];

    % Active Sets not lagged
    Active_Set_Orig = [
        eval('output.DYUK4'), eval('output.DDYUK4'),...
        eval('output.GAPUK8'), eval('output.DGAPUK8'),...
        eval('output.GAPUK12'), eval('output.DGAPUK12'),...
        eval('output.DEMUK4'), eval('output.DDEMUK4'),...
        eval('output.DVUK4'), eval('output.DDVUK4'),...
        eval('output.DUUK'), eval('output.DDUUK'),...
        eval('output.DDWUK4'), eval('output.RUK4'),...
        eval('output.DRUK4'), eval('output.LRUK4'),...
        eval('output.DLRUK4'), eval('output.DMUK4'),...
        eval('output.DDMUK4'), eval('output.DEQUK4'),...
        eval('output.DDEQUK4'), eval('output.DPOIL4'),...
        eval('output.DDPOIL4'), eval('output.DPMAT4'),...
        eval('output.DDPMAT4'), eval('output.DPMETAL4'),...
        eval('output.DDPMETAL4'), eval('output.DPMUK4'),...
        eval('output.DDPMUK4'), eval('output.DEPUK4'),...
        eval('output.DDEPUK4'), eval('output.DYSUK4'),...
        eval('output.DDYSUK4'), eval('output.RUS4'),...
        eval('output.DRUS4'), eval('output.LRUS4'),...
        eval('output.DLRUS4'), eval('output.DYCHINA4'),...
        eval('output.DDYCHINA4'), eval('output.GAPSUK8'),...
        eval('output.DGAPSUK8'), eval('output.GAPSUK12'),...
        eval('output.DGAPSUK12'), eval('output.DYUS4'),...
        eval('output.DDYUS4'), eval('output.DPUS4'),...
        eval('output.DDPUS4'), eval('output.DWUK4')
        ];

    % Names of the Variables in Active Sets used in ARX-LASSO
    Names_Active = {
        ['DYUK4_lag' num2str(h1)], ['DDYUK4_lag' num2str(h1)],...
        ['GAPUK8_lag' num2str(h1)], ['DGAPUK8_lag' num2str(h1)],...
        ['GAPUK12_lag' num2str(h1)], ['DGAPUK12_lag' num2str(h1)],...
        ['DEMUK4_lag' num2str(h1)], ['DDEMUK4_lag' num2str(h1)],...
        ['DVUK4_lag' num2str(h1)], ['DDVUK4_lag' num2str(h1)],...
        ['DUUK_lag' num2str(h1)], ['DDUUK_lag' num2str(h1)],...
        ['DDWUK4_lag' num2str(h1)], ['RUK4_lag' num2str(h1)],...
        ['DRUK4_lag' num2str(h1)], ['LRUK4_lag' num2str(h1)],...
        ['DLRUK4_lag' num2str(h1)], ['DMUK4_lag' num2str(h1)],...
        ['DDMUK4_lag' num2str(h1)], ['DEQUK4_lag' num2str(h1)],...
        ['DDEQUK4_lag' num2str(h1)], ['DPOIL4_lag' num2str(h1)],...
        ['DDPOIL4_lag' num2str(h1)], ['DPMAT4_lag' num2str(h1)],...
        ['DDPMAT4_lag' num2str(h1)], ['DPMETAL4_lag' num2str(h1)],...
        ['DDPMETAL4_lag' num2str(h1)], ['DPMUK4_lag' num2str(h1)],...
        ['DDPMUK4_lag' num2str(h1)], ['DEPUK4_lag' num2str(h1)],...
        ['DDEPUK4_lag' num2str(h1)], ['DYSUK4_lag' num2str(h1)],...
        ['DDYSUK4_lag' num2str(h1)], ['RUS4_lag' num2str(h1)],...
        ['DRUS4_lag' num2str(h1)], ['LRUS4_lag' num2str(h1)],...
        ['DLRUS4_lag' num2str(h1)], ['DYCHINA4_lag' num2str(h1)],...
        ['DDYCHINA4_lag' num2str(h1)], ['GAPSUK8_lag' num2str(h1)],...
        ['DGAPSUK8_lag' num2str(h1)], ['GAPSUK12_lag' num2str(h1)],...
        ['DGAPSUK12_lag' num2str(h1)], ['DYUS4_lag' num2str(h1)],...
        ['DDYUS4_lag' num2str(h1)], ['DPUS4_lag' num2str(h1)],...
        ['DDPUS4_lag' num2str(h1)], ['DWUK4_lag' num2str(h1)]
        };

    %disp('Completed: ARX-LASSO-related variables are generated.')

elseif strcmp(model, 'AR2-OCMT')
    
    % Conditioning Sets used in AR2-OCMT 
    Cond_Set = [
        eval(['output.DPUK4_lag' num2str(h1)]), eval(['output.DDPUK4_lag' num2str(h1)])
        ];

    % Active Sets used in AR2-OCMT 
    Active_Set = [
        eval(['output.DYUK4_lag' num2str(h1)]), eval(['output.DDYUK4_lag' num2str(h1)]),...
        eval(['output.GAPUK8_lag' num2str(h1)]), eval(['output.DGAPUK8_lag' num2str(h1)]),...
        eval(['output.GAPUK12_lag' num2str(h1)]), eval(['output.DGAPUK12_lag' num2str(h1)]),...
        eval(['output.DEMUK4_lag' num2str(h1)]), eval(['output.DDEMUK4_lag' num2str(h1)]),...
        eval(['output.DVUK4_lag' num2str(h1)]), eval(['output.DDVUK4_lag' num2str(h1)]),...
        eval(['output.DUUK_lag' num2str(h1)]), eval(['output.DDUUK_lag' num2str(h1)]),...
        eval(['output.DDWUK4_lag' num2str(h1)]), eval(['output.RUK4_lag' num2str(h1)]),...
        eval(['output.DRUK4_lag' num2str(h1)]), eval(['output.LRUK4_lag' num2str(h1)]),...
        eval(['output.DLRUK4_lag' num2str(h1)]), eval(['output.DMUK4_lag' num2str(h1)]),...
        eval(['output.DDMUK4_lag' num2str(h1)]), eval(['output.DEQUK4_lag' num2str(h1)]),...
        eval(['output.DDEQUK4_lag' num2str(h1)]), eval(['output.DPOIL4_lag' num2str(h1)]),...
        eval(['output.DDPOIL4_lag' num2str(h1)]), eval(['output.DPMAT4_lag' num2str(h1)]),...
        eval(['output.DDPMAT4_lag' num2str(h1)]), eval(['output.DPMETAL4_lag' num2str(h1)]),...
        eval(['output.DDPMETAL4_lag' num2str(h1)]), eval(['output.DPMUK4_lag' num2str(h1)]),...
        eval(['output.DDPMUK4_lag' num2str(h1)]), eval(['output.DEPUK4_lag' num2str(h1)]),...
        eval(['output.DDEPUK4_lag' num2str(h1)]), eval(['output.DPSUK4_lag' num2str(h1)]),...
        eval(['output.DDPSUK4_lag' num2str(h1)]), eval(['output.DYSUK4_lag' num2str(h1)]),...
        eval(['output.DDYSUK4_lag' num2str(h1)]), eval(['output.RUS4_lag' num2str(h1)]),...
        eval(['output.DRUS4_lag' num2str(h1)]), eval(['output.LRUS4_lag' num2str(h1)]),...
        eval(['output.DLRUS4_lag' num2str(h1)]), eval(['output.DYCHINA4_lag' num2str(h1)]),...
        eval(['output.DDYCHINA4_lag' num2str(h1)]), eval(['output.GAPSUK8_lag' num2str(h1)]),...
        eval(['output.DGAPSUK8_lag' num2str(h1)]), eval(['output.GAPSUK12_lag' num2str(h1)]),...
        eval(['output.DGAPSUK12_lag' num2str(h1)]), eval(['output.DYUS4_lag' num2str(h1)]),...
        eval(['output.DDYUS4_lag' num2str(h1)]), eval(['output.DPUS4_lag' num2str(h1)]),...
        eval(['output.DDPUS4_lag' num2str(h1)]), eval(['output.DWUK4_lag' num2str(h1)])
        ];

    % Active Sets not lagged
    Active_Set_Orig = [
        eval('output.DYUK4'), eval('output.DDYUK4'),...
        eval('output.GAPUK8'), eval('output.DGAPUK8'),...
        eval('output.GAPUK12'), eval('output.DGAPUK12'),...
        eval('output.DEMUK4'), eval('output.DDEMUK4'),...
        eval('output.DVUK4'), eval('output.DDVUK4'),...
        eval('output.DUUK'), eval('output.DDUUK'),...
        eval('output.DDWUK4'), eval('output.RUK4'),...
        eval('output.DRUK4'), eval('output.LRUK4'),...
        eval('output.DLRUK4'), eval('output.DMUK4'),...
        eval('output.DDMUK4'), eval('output.DEQUK4'),...
        eval('output.DDEQUK4'), eval('output.DPOIL4'),...
        eval('output.DDPOIL4'), eval('output.DPMAT4'),...
        eval('output.DDPMAT4'), eval('output.DPMETAL4'),...
        eval('output.DDPMETAL4'), eval('output.DPMUK4'),...
        eval('output.DDPMUK4'), eval('output.DEPUK4'),...
        eval('output.DDEPUK4'), eval('output.DPSUK4'),...
        eval('output.DDPSUK4'), eval('output.DYSUK4'),...
        eval('output.DDYSUK4'), eval('output.RUS4'),...
        eval('output.DRUS4'), eval('output.LRUS4'),...
        eval('output.DLRUS4'), eval('output.DYCHINA4'),...
        eval('output.DDYCHINA4'), eval('output.GAPSUK8'),...
        eval('output.DGAPSUK8'), eval('output.GAPSUK12'),...
        eval('output.DGAPSUK12'), eval('output.DYUS4'),...
        eval('output.DDYUS4'), eval('output.DPUS4'),...
        eval('output.DDPUS4'), eval('output.DWUK4')
        ];

    % Names of the Variables in Active Sets used in AR2-OCMT
    Names_Active = {
        ['DYUK4_lag' num2str(h1)], ['DDYUK4_lag' num2str(h1)],...
        ['GAPUK8_lag' num2str(h1)], ['DGAPUK8_lag' num2str(h1)],...
        ['GAPUK12_lag' num2str(h1)], ['DGAPUK12_lag' num2str(h1)],...
        ['DEMUK4_lag' num2str(h1)], ['DDEMUK4_lag' num2str(h1)],...
        ['DVUK4_lag' num2str(h1)], ['DDVUK4_lag' num2str(h1)],...
        ['DUUK_lag' num2str(h1)], ['DDUUK_lag' num2str(h1)],...
        ['DDWUK4_lag' num2str(h1)], ['RUK4_lag' num2str(h1)],...
        ['DRUK4_lag' num2str(h1)], ['LRUK4_lag' num2str(h1)],...
        ['DLRUK4_lag' num2str(h1)], ['DMUK4_lag' num2str(h1)],...
        ['DDMUK4_lag' num2str(h1)], ['DEQUK4_lag' num2str(h1)],...
        ['DDEQUK4_lag' num2str(h1)], ['DPOIL4_lag' num2str(h1)],...
        ['DDPOIL4_lag' num2str(h1)], ['DPMAT4_lag' num2str(h1)],...
        ['DDPMAT4_lag' num2str(h1)], ['DPMETAL4_lag' num2str(h1)],...
        ['DDPMETAL4_lag' num2str(h1)], ['DPMUK4_lag' num2str(h1)],...
        ['DDPMUK4_lag' num2str(h1)], ['DEPUK4_lag' num2str(h1)],...
        ['DDEPUK4_lag' num2str(h1)], ['DPSUK4_lag' num2str(h1)],...
        ['DDPSUK4_lag' num2str(h1)], ['DYSUK4_lag' num2str(h1)],...
        ['DDYSUK4_lag' num2str(h1)], ['RUS4_lag' num2str(h1)],...
        ['DRUS4_lag' num2str(h1)], ['LRUS4_lag' num2str(h1)],...
        ['DLRUS4_lag' num2str(h1)], ['DYCHINA4_lag' num2str(h1)],...
        ['DDYCHINA4_lag' num2str(h1)], ['GAPSUK8_lag' num2str(h1)],...
        ['DGAPSUK8_lag' num2str(h1)], ['GAPSUK12_lag' num2str(h1)],...
        ['DGAPSUK12_lag' num2str(h1)], ['DYUS4_lag' num2str(h1)],...
        ['DDYUS4_lag' num2str(h1)], ['DPUS4_lag' num2str(h1)],...
        ['DDPUS4_lag' num2str(h1)], ['DWUK4_lag' num2str(h1)]
        };

    %%disp('Completed: AR2-OCMT-related variables are generated.')

elseif strcmp(model, 'ARX-OCMT')

    % Conditioning Sets used in ARX-OCMT 
    Cond_Set = [
        eval(['output.DPUK4_lag' num2str(h1)]), eval(['output.DDPUK4_lag' num2str(h1)]),...
        eval(['output.DPSUK4_lag' num2str(h1)]), eval(['output.DDPSUK4_lag' num2str(h1)])
        ];

    % Active Sets used in ARX-OCMT
    Active_Set = [
        eval(['output.DYUK4_lag' num2str(h1)]), eval(['output.DDYUK4_lag' num2str(h1)]),...
        eval(['output.GAPUK8_lag' num2str(h1)]), eval(['output.DGAPUK8_lag' num2str(h1)]),...
        eval(['output.GAPUK12_lag' num2str(h1)]), eval(['output.DGAPUK12_lag' num2str(h1)]),...
        eval(['output.DEMUK4_lag' num2str(h1)]), eval(['output.DDEMUK4_lag' num2str(h1)]),...
        eval(['output.DVUK4_lag' num2str(h1)]), eval(['output.DDVUK4_lag' num2str(h1)]),...
        eval(['output.DUUK_lag' num2str(h1)]), eval(['output.DDUUK_lag' num2str(h1)]),...
        eval(['output.DDWUK4_lag' num2str(h1)]), eval(['output.RUK4_lag' num2str(h1)]),...
        eval(['output.DRUK4_lag' num2str(h1)]), eval(['output.LRUK4_lag' num2str(h1)]),...
        eval(['output.DLRUK4_lag' num2str(h1)]), eval(['output.DMUK4_lag' num2str(h1)]),...
        eval(['output.DDMUK4_lag' num2str(h1)]), eval(['output.DEQUK4_lag' num2str(h1)]),...
        eval(['output.DDEQUK4_lag' num2str(h1)]), eval(['output.DPOIL4_lag' num2str(h1)]),...
        eval(['output.DDPOIL4_lag' num2str(h1)]), eval(['output.DPMAT4_lag' num2str(h1)]),...
        eval(['output.DDPMAT4_lag' num2str(h1)]), eval(['output.DPMETAL4_lag' num2str(h1)]),...
        eval(['output.DDPMETAL4_lag' num2str(h1)]), eval(['output.DPMUK4_lag' num2str(h1)]),...
        eval(['output.DDPMUK4_lag' num2str(h1)]), eval(['output.DEPUK4_lag' num2str(h1)]),...
        eval(['output.DDEPUK4_lag' num2str(h1)]), eval(['output.DYSUK4_lag' num2str(h1)]),...
        eval(['output.DDYSUK4_lag' num2str(h1)]), eval(['output.RUS4_lag' num2str(h1)]),...
        eval(['output.DRUS4_lag' num2str(h1)]), eval(['output.LRUS4_lag' num2str(h1)]),...
        eval(['output.DLRUS4_lag' num2str(h1)]), eval(['output.DYCHINA4_lag' num2str(h1)]),...
        eval(['output.DDYCHINA4_lag' num2str(h1)]), eval(['output.GAPSUK8_lag' num2str(h1)]),...
        eval(['output.DGAPSUK8_lag' num2str(h1)]), eval(['output.GAPSUK12_lag' num2str(h1)]),...
        eval(['output.DGAPSUK12_lag' num2str(h1)]), eval(['output.DYUS4_lag' num2str(h1)]),...
        eval(['output.DDYUS4_lag' num2str(h1)]), eval(['output.DPUS4_lag' num2str(h1)]),...
        eval(['output.DDPUS4_lag' num2str(h1)]), eval(['output.DWUK4_lag' num2str(h1)])
        ];

    % Active Sets not lagged
    Active_Set_Orig = [
        eval('output.DYUK4'), eval('output.DDYUK4'),...
        eval('output.GAPUK8'), eval('output.DGAPUK8'),...
        eval('output.GAPUK12'), eval('output.DGAPUK12'),...
        eval('output.DEMUK4'), eval('output.DDEMUK4'),...
        eval('output.DVUK4'), eval('output.DDVUK4'),...
        eval('output.DUUK'), eval('output.DDUUK'),...
        eval('output.DDWUK4'), eval('output.RUK4'),...
        eval('output.DRUK4'), eval('output.LRUK4'),...
        eval('output.DLRUK4'), eval('output.DMUK4'),...
        eval('output.DDMUK4'), eval('output.DEQUK4'),...
        eval('output.DDEQUK4'), eval('output.DPOIL4'),...
        eval('output.DDPOIL4'), eval('output.DPMAT4'),...
        eval('output.DDPMAT4'), eval('output.DPMETAL4'),...
        eval('output.DDPMETAL4'), eval('output.DPMUK4'),...
        eval('output.DDPMUK4'), eval('output.DEPUK4'),...
        eval('output.DDEPUK4'), eval('output.DYSUK4'),...
        eval('output.DDYSUK4'), eval('output.RUS4'),...
        eval('output.DRUS4'), eval('output.LRUS4'),...
        eval('output.DLRUS4'), eval('output.DYCHINA4'),...
        eval('output.DDYCHINA4'), eval('output.GAPSUK8'),...
        eval('output.DGAPSUK8'), eval('output.GAPSUK12'),...
        eval('output.DGAPSUK12'), eval('output.DYUS4'),...
        eval('output.DDYUS4'), eval('output.DPUS4'),...
        eval('output.DDPUS4'), eval('output.DWUK4')
        ];

    % Names of the Variables in Active Sets used in ARX-OCMT
    Names_Active = {
        ['DYUK4_lag' num2str(h1)], ['DDYUK4_lag' num2str(h1)],...
        ['GAPUK8_lag' num2str(h1)], ['DGAPUK8_lag' num2str(h1)],...
        ['GAPUK12_lag' num2str(h1)], ['DGAPUK12_lag' num2str(h1)],...
        ['DEMUK4_lag' num2str(h1)], ['DDEMUK4_lag' num2str(h1)],...
        ['DVUK4_lag' num2str(h1)], ['DDVUK4_lag' num2str(h1)],...
        ['DUUK_lag' num2str(h1)], ['DDUUK_lag' num2str(h1)],...
        ['DDWUK4_lag' num2str(h1)], ['RUK4_lag' num2str(h1)],...
        ['DRUK4_lag' num2str(h1)], ['LRUK4_lag' num2str(h1)],...
        ['DLRUK4_lag' num2str(h1)], ['DMUK4_lag' num2str(h1)],...
        ['DDMUK4_lag' num2str(h1)], ['DEQUK4_lag' num2str(h1)],...
        ['DDEQUK4_lag' num2str(h1)], ['DPOIL4_lag' num2str(h1)],...
        ['DDPOIL4_lag' num2str(h1)], ['DPMAT4_lag' num2str(h1)],...
        ['DDPMAT4_lag' num2str(h1)], ['DPMETAL4_lag' num2str(h1)],...
        ['DDPMETAL4_lag' num2str(h1)], ['DPMUK4_lag' num2str(h1)],...
        ['DDPMUK4_lag' num2str(h1)], ['DEPUK4_lag' num2str(h1)],...
        ['DDEPUK4_lag' num2str(h1)], ['DYSUK4_lag' num2str(h1)],...
        ['DDYSUK4_lag' num2str(h1)], ['RUS4_lag' num2str(h1)],...
        ['DRUS4_lag' num2str(h1)], ['LRUS4_lag' num2str(h1)],...
        ['DLRUS4_lag' num2str(h1)], ['DYCHINA4_lag' num2str(h1)],...
        ['DDYCHINA4_lag' num2str(h1)], ['GAPSUK8_lag' num2str(h1)],...
        ['DGAPSUK8_lag' num2str(h1)], ['GAPSUK12_lag' num2str(h1)],...
        ['DGAPSUK12_lag' num2str(h1)], ['DYUS4_lag' num2str(h1)],...
        ['DDYUS4_lag' num2str(h1)], ['DPUS4_lag' num2str(h1)],...
        ['DDPUS4_lag' num2str(h1)], ['DWUK4_lag' num2str(h1)]
        };

    %disp('Completed: ARX-OCMT-related variables are generated.')

else
    
    Cond_Set = [];
    Active_Set = [];
    Active_Set_Orig = [];
    Names_Active = [];
    disp('Error: The model should be specified.')

end

end